/**
 *  设备授权管理 - 油机SDK授权页面
 *  数据对象的Dto
 * */

import {pageInput} from "/@/api/admin/shareDto/shareDto";

/**
 * @name: 数据对象接口
 * @description: 设备授权管理 - 油机SDK授权页面文件筛选条件
 * @author wyoujia
 * @date 2023-55-29 11:55:55
*/

export interface oilSdkFilterModel {
  /**油站名称 */
  serviceStationName: string | null,
  /**项目名称 */
  entryName: string | null,
  /**设备SN */
  SN: string | null,
  /**选择的时间 */
  selectDate: string | null,
}

export interface oilSdkTableModel {
  /**日期 */
  date: string | null,
  /**油站名称 */
  serviceStationName: string | null,
  /**项目名称 */
  entryName: string | null,
  /**设备SN */
  SN: string | null,
  /**有效时间 */
  effectiveTime: string | null,
  /**授权码 */
  authorization: string | null,
  /**备注 */
  remark: string | null
}

/**
 * @name: 数据对象接口
 * @description: 设备授权管理 - 油机SDK授权页面
 * @author wyoujia
 * @date 2023-12-29 11:12:08
*/
export interface OilSdkAuthorDto {
  /**加载显示 */
  loading: boolean,
  /**条件查询模块 */
  filterModel: oilSdkFilterModel,
  /**表格信息 */
  tableModel: oilSdkTableModel [] | null,
  /**分页标识 */
  pageInput: pageInput,
  /**分页总数 */
  total: number,
}

/**结果输出*/
export interface oilSdkAuthorDtoResult {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 分页信息输出 */
  data?: any
}
